summaryrefslogtreecommitdiffstats
path: root/source/ap/xfsdump/xfsdump.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/xfsdump/xfsdump.SlackBuild')
-rwxr-xr-xsource/ap/xfsdump/xfsdump.SlackBuild21
1 files changed, 15 insertions, 6 deletions
diff --git a/source/ap/xfsdump/xfsdump.SlackBuild b/source/ap/xfsdump/xfsdump.SlackBuild
index 242221aba..b222639d0 100755
--- a/source/ap/xfsdump/xfsdump.SlackBuild
+++ b/source/ap/xfsdump/xfsdump.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2013, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo xfsdump-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+PKGNAM=xfsdump
+VERSION=${VERSION:-$(echo xfsdump-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _ )-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-xfsdump
@@ -45,7 +54,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf xfsdump-$(echo $VERSION | cut -f 1 -d '-')
-tar xvf $CWD/xfsdump-$VERSION.tar.gz || exit 1
+tar xvf $CWD/xfsdump-$VERSION.tar.?z || exit 1
cd xfsdump-$(echo $VERSION | cut -f 1 -d '-') || exit 1
chown -R root:root .